{% extends "wafer/base.html" %}
{% load i18n %}
{% block title %}Schedule - {{ WAFER_CONFERENCE_NAME }}{% endblock title %}
{% block content %}
<section class="wafer wafer-schedule">
{% if user.is_authenticated and user.is_staff %}
<div class="pull-right" style="margin-top: 5px; margin-left: 5px;">
    <a class="btn btn-default"
       href="{% url 'admin:schedule_editor' %}">
        Edit schedule
    </a>
</div>
{% endif %}
<h1 class="fancy-heading">
    <span>{% trans "Schedule" %}</span>
</h1>
<div class="wafer_schedule">
   {% if not schedule_days %}
   {# Schedule is incomplete / invalid, so show nothing #}
   {% blocktrans %}
   <p>The final schedule has not been published yet.</p>
   {% endblocktrans %}
   {% else %}
   {% for schedule_day in schedule_days %}
   <div class="table-responsive">
   <table class="table table-striped table-bordered">
      {# We assume that the admin has created a valid timetable #}
      <thead>
      <tr>
         <th colspan="{{ schedule_day.venues|length|add:1 }}" class="title">{{ schedule_day.day.date|date:"l (d b)" }}</th>
      </tr>
      <tr>
         <th>{% trans "Time" %}</th>
      {% for venue in schedule_day.venues %}
         <th><a href="{{ venue.get_absolute_url }}">{{ venue.name }}</a></th>
      {% endfor %}
      </tr>
      </thead>
      <tbody>
      {% for row in schedule_day.rows %}
      <tr>
         <td class="scheduleslot">{{ row.slot.get_start_time|time:"H:i" }} - {{ row.slot.end_time|time:"H:i" }}</td>
         {% for item in row.get_sorted_items %}
         {% if item.item == "unavailable" %}
            {# Venue isn't available, so we add an empty table element with the 'unavailable' class #}
            <td colspan="{{ item.colspan }}" rowspan="{{ item.rowspan }}" class="unavailable"></td>
         {% else %}
            {# Add item details #}
            <td colspan="{{ item.colspan }}" rowspan="{{ item.rowspan }}" class="{{ item.item.css_class|default:'schedule' }}">
              {% include "wafer.schedule/schedule_item.html" with item=item.item %}
            </td>
         {% endif %}
         {% endfor %}
      </tr>
      {% endfor %}
      </tbody>
   </table>
   </div>
   {% endfor %}
   {% endif %}
</div>
</section>
{% endblock %}
